@import url('https://fonts.googleapis.com/css2?family=Clicker+Script&family=Poppins:ital,wght@0,200;0,700;0,800;1,200;1,300;1,400;600;&display=swap');

:root {
    --bg-black-900: #f2f2fc;
    --bg-black-100: #fdf9ff;
    --bg-black-50: #e8dfec;
    --text-black-900: #302e4d;
    --text-black-700: #504e70;
}

body.dark
{
    --bg-black-900: #151515;
    --bg-black-100: #222222;
    --bg-black-50: #393939;
    --text-black-900: #ffffff;
    --text-black-700: #e9e9e9;
}

html
{
    scroll-behavior: smooth;
}

body {
   
    line-height: 1.5;
    font-size: 16px;
    font-family: 'Poppins' sans-serif;

}

* {
    margin: 0;
    padding: 0;
    outline: none;
    text-decoration: none;
    box-sizing: border-box;
}

.main-container
{
    max-width: 100vw;
    display: flex;
}

.main-content
{
    position: relative;
    left: 23%;
    top: 0;
    width: 77%;
}

.section
{
    background:var(--bg-black-900);
    min-height: 100vh;
    padding: 0 30px;
    display: block;
    opacity: 1;
}

.container
{
    max-width: 1100px;
    width: 100%;
    margin: auto;
}


.section-title
{
    flex: 0 0 100%;
    max-width: 100%;
    margin-bottom: 60px;
    
}

.row
{
    display: flex;
    flex-wrap: wrap;
    margin-left: -15px;
    margin-right: -15px;
    position: relative;
}

.padd-15
{
    padding-left: 15px;
    padding-right: 15px;
}

.btn
{
    font-size: 16px;
    font-weight: 500;
    padding: 12px 35px;
    color: white;
    border-radius: 40px;
    display: inline-block;
    white-space: nowrap;
    border: none;
    background: var(--skin-color);
    transition: all 0.3s ease;
}

.btn:hover
{
    transform: scale(1.10);
}

/*aside*/

.aside
{
    width: 23%;
    height: 100vh;
    background: var(--bg-black-100);
    position: fixed;
    left: 0;
    top: 0;
    padding: 30px;
    border-right: 1px solid var(--bg-black-50);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 10;
    
}

.aside .logo {
    position: absolute;
    top: 5px;
    border-bottom: 3px solid var(--bg-black-50);
}

.aside .logo a {
    color: var(--text-black-900);
    font-weight: 700;
    font-size: 30px;
    letter-spacing: 2px;
    padding: 15px 20px;
    position: relative;
}

.logo-img img
{
    width: 180px;
    height: 180px;
}

.aside .logo a span{
    font-family: Clicker Script, curesive;
    font-size: 32px;
}

.aside .nav-toggler
{
    height: 40px;
    width: 45px;
    border: 1px solid var(--bg-black-50);
    cursor:pointer;
    position: fixed;
    left: 300px;
    top: 20px;
    border-radius: 5px;
    background: var(--bg-black-100);
    display: none;
    align-items: center;
    justify-content: center;
}

.aside .nav-toggler span
{
    height: 2px;
    width: 18px;
    background: var(--skin-color);
    display: inline-block;
    position: relative;
}

.aside .nav-toggler span::before
{
    content: '';
    height: 2px;
    width: 18px;
    background: var(--skin-color);
    position: absolute;
    top: -6px;
    left: 0;
}

.aside .nav-toggler span::after
{
    content: '';
    height: 2px;
    width: 18px;
    background: var(--skin-color);
    position: absolute;
    top: 6px;
    left: 0;
}


.aside .nav
{
    margin: top 50px;
}

.nav
{
    margin-top: 175px;
}

.aside .nav li
{
    margin-bottom: 10px;
    display: block;
}

.aside .nav li a
{
    font-size: 15px;
    font-weight: 600;  
    display: block;
    border-bottom: 1px solid var(--bg-black-50);
    color: var(--text-black-900);
    padding: 5px 15px;
}

.aside .nav li a.active
{
    color: var(--skin-color);
}

.aside .nav li a i
{
    margin-right: 15px;
}

/*header*/

.myheader
{
    display: flex;
    position: fixed;
    top: 0;
    left: 23%;
    width: 77%;
    height: 50px;
    background: var(--bg-black-100)1;
}

.header-content 
{
    display: flex;
    height: 50px;
    line-height: 50px;
    z-index: 2;
    font-size: 95%;    
    padding-left: 2%;
}

.myheader-col-1
{
    width: 75%;
    font-size: 14px;
}

.myheader-col-2
{
    width: 25%;
    text-align: center;
}

.myheader .myheader-col-2 .lan
{
    min-width: 130px;
    max-width: 165px;
    height: 40px;
    text-align: center;
}

.lan select
{
    height: 25px;
    background-color: var(--bg-black-100);
    border: none;
    color: var(--text-black-700);
    border-radius: 8px;
}

h3 .hello
{
    font-size: 28px;
    margin: 15px 0;
}

h3 .hello span
{
    font-family: 'clicker script', cursive;
    font-size: 28px;
    font-weight: 700;
    color: var(--skin-color);
}

h3 .my-profession
{
    font-size: 30px;
    margin: 15px 0;
}

.typing
{
    padding-left: 3px;
    color: var(--skin-color);
}

.typing-height
{
    height: 50px;
}




/* Scroll-top */
#scroll-top
{
    margin: 0;
    padding: 0;
    height: 30px;
    width: 30px;
    background-color: var(--bg-black-50);
    position: fixed;
    bottom: 65px;
    right: 25px;
    border-radius: 50%;
    transition: background-color 2s;
}

#scroll-top i
{
    font-size: 30px;
    color: var(--skin-color);
    bottom: 75px;
}

#scroll-top i:hover
{
    background-color: var(--skin-color);
    border-radius: 50%;
    color: var(--bg-black-50);
    cursor: pointer;
}



/* Footer */
.my-footer
{
    display:flex;
    position:absolute;
    left:0%;
    width:77%;
    font-size: 17px;
    color: var(--text-black-700);
    background-color: var(--bg-black-100);
    bottom: 5px;
    height: 50px;
    line-height: 20px;
   
}


.footer-content 
{
    position:relative;
    left: 0%;
    width:100%;
    text-align:center;
    min-height: 50px;
    z-index: 2;   
}




/*************************Responsiveness*****************************/
    

@media (max-width: 1200px)
{
    .aside
    {
        display: none;
    }
    .logo-img img
    {
        width: 170px;
        height: 170px;
    }   
    
    .main-content
    {
        margin-left: -23%;
        width: 100%;
    }

    .myheader
    {
        width: 100%;
        left: 0;
    }
    
    .myheader-col-2
    {
        text-align: center;
    }

    .about .about-content .personal-info .info-item p span
    {
        display: block;
        margin-left: 0;
    }
    .about .personal-info .info-item p span
    {
        display: block;
        margin-left: 0;
    }
    
}

@media (max-width: 900px) 
{
    .myheader
    {
        display: none;
    }
}

@media (max-width: 769px)
{
    
    .home .home-info
    {
        width: 100%;
    }
    .home .home-img
    {
        display: none;
    }

    /*for slider*/

    .myslider
    {
        width: 100%;        
        height: 100%;
    }
    .txt
    {
        line-height: 25px;
        top: 50%;
        left: 50%;
        transform: translate(-50% -50%);
        -webkit-animation-name: posi2;
        -webkit-animation-duration: 2s;
        animation-name: posi2;
        animation-duration: 2s;
    }

    .txt h1
    {
        font-size: 20px;
    }

    .txt p
    {
        font-size: 16px;
    }

    @-webkit-keyframes posi2
    {
        from {top: 30%;}
        to  {top: 50%;}
    }
    @keyframes posi2
    {
        from {top: 35%;}
        to  {top: 50%;}
    }

    .about .education,
    .about .experience
    {
        flex: 0 0 100%;
        max-width: 100%;
    }

    .service .service-item
    {
        flex: 100%;
        max-width: 100%;
    }

    .contact .contact-info-item
    {
        flex: 0 0 50%;
        max-width: 50%;
        text-align: center;
        margin-bottom: 60px;
    }

    .contact .contact-form .col-6
    {
        flex: 0 0 100%;
        max-width: 100%;
    }
    
    

}

@media (max-width: 500px)
{
    .main-content
    {
        width: 100%;
        left: 23%;
        top: 0;
    }
    
    .section
    {
        padding: 0 15px;
        display: block;
    }
    
    .container
    {
        max-width: 100%;
        width: 100%;
        margin: auto;
    }
    
    .section .container
    {
        padding: 0px;
        padding-bottom: 70px;
    }
    
    .section-title
    {
        flex: 0 0 100%;
        max-width: 100%;
        margin-bottom: 60px;
        
    }
    
    .section-title h2
    {
        font-size: 30px;
        font-weight: 700;
        
    }
    
    .row
    {
        margin-left: 0px;
        margin-right: 0px;
       
    }
    
    .padd-15
    {
        padding-left: 15px;
        padding-right: 15px;
    }
    
   
    /*header*/
    
    .myheader
    {
        position:fixed;
        top:0;
        left: 0;
        width: 100%;
        height: 80px;
    }
    
    .header-content 
    {
        width:100%;
        display: flex;
        flex-direction:column;
        height: 80px;
        line-height: 20px;
        z-index: 2;
        font-size: 90%;    
        padding:5px;
    }
    
    .myheader-col-1
    {
        width: 100%;
        font-size: 12px;
    }
    
    
    .myheader .myheader-col-2 .lan
    {
        height: 40px;
        text-align: left;
    }
    
    h3 .hello
    {
        font-size: 24px;
    }
    
    h3 .hello span
    {
        font-size: 24px;
        font-weight: 700;
    }
    
    
    /*Slide-show*/
    .slideshow
    {
        max-width:100vw;
        height:auto;
    }
    
    .slider
    {
        width: 100vw;
        height: auto;
    }
    
   
   
    .prev
    {
        left: 12px;
    }
    
    .next
    {
        right: 12px;
    }
    
    .dotsbox
    {
        position: absolute;
        left: 50%;
        transform: translate(-50%);
        bottom: 18px;
        cursor: pointer;
    }
    
    .dot
    {
        display: inline-block;
        width: 12px;
        height: 12px;
        margin: 0 10px;
    }
    
    .txt
    {
        position:relative;
        line-height: 12px;
        top: 70%;
        left: 5%;
        -webkit-animation-name: posi;
        -webkit-animation-duration: 2s;
        animation-name: posi;
        animation-duration: 2s;
        z-index: 1;
        padding: 5px;
    }
    
    @-webkit-keyframes posi
    {
        from {left: 25%;}
        to {left: 5%;}
    }
    
    @keyframes posi
    {
        from {left: 25%;}
        to {left: 5%;}
    }
    
    .txt p
    {
        color: rgb(255, 255, 255);
        font-weight: bold;
        font-size: 18px;
    }
    
    
    /*home*/
    .home
    {
        width: 100%;
        min-height: 550px;
        display: flex;
        color:rgb(45, 25, 223);
    }
    
    .home .home-info
    {
        flex: 0 0 100%;
        max-width: 100%;
    }
    
   
    h3 .my-profession
    {
        font-size: 30px;
        margin: 15px 0;
    }
    
    .typing
    {
        padding-left: 3px;
        color: var(--skin-color);
    }
    
    .typing-height
    {
        height: 50px;
    }
    
    .home-info p
    {
        margin-bottom: 70px;
        font-size: 16px;
    }
    
    .home .home-img
    {
        flex: 0 0 100%;
        max-width: 100%;
        text-align: center;
        position: relative;
    }
    
    .home-img::after
    {
        content: '';
        position: absolute;
        height: 80px;
        width: 80px;
        border-bottom: 10px solid var(--skin-color);
        border-right: 10px solid var(--skin-color);
        right: 10px;
        bottom: -50px;
    }
    
    .home-img::before
    {
        content: '';
        position: absolute;
        height: 80px;
        width: 80px;
        border-top: 10px solid var(--skin-color);
        border-left: 10px solid var(--skin-color);
        left: -10px;
        top: -50px;
    }
    
    .home .home-img img
    {
        margin: auto;
        border-radius: 10px;
        height: 300px;
    }
    
    /*About*/
    .about .about-content
    {
        flex: 0 0 100%;
        max-width: 100%;
    }
    
    .about .about-content .about-text
    {
        flex: 0 0 100%;
        max-width: 100%;
    }
    
    .about .about-content .about-text h3
    {
        font-size: 24px;
        margin-bottom: 15px;
    }
    
   
    
    
    .skills
    {
        flex: 0 0 40%;
        max-width: 40%;
        margin-top: 40px;
    }
    
    .about .about-content .personal-info
    {
        max-width: 60%;
        flex: 0 0 60%;
        margin-top: 40px;
    }
    
    .personal-info .info-item
    {
        max-width: 50%;
        flex: 0 0 50%;
    }
    
    .personal-info .info-item p
    {
        font-weight: 600;
        padding: 10px;
        font-size: 16px;
        color: var(--text-black-900);
        border-bottom: 1px solid var(--bg-black-50);
    }
    
    .personal-info .info-item p span
    {
        font-weight: 400;
        color: var(--text-black-700);
        margin-left: 4px;
        display: inline-block;
    }
    
    .personal-info .buttons
    {
        margin-top: 30px;
    }
    
    .personal-info .buttons .btn 
    {
        margin-right: 15px;
        margin-top: 10px;
    }
    
    
    .about .about-content .skills
    {
        flex: 0 0 40%;
        max-width: 40%;
        margin-top: 40px;
    }
    
    .about .skills .skill-item
    {
        flex: 0 0 100%;
        max-width: 100%;
    }
    
    .about .skills .skill-item h5
    {
        line-height: 40px;
        font-weight: 600;
        font-size: 16px;
        columns: var(tex);
        text-transform: capitalize;
    }
    
    .about .skills .skill-item .progress
    {
        background-color: var(--bg-black-50);
        height: 7px;
        border-radius: 4px;
        width: 100%;
        position: relative;
    }
    
    .about .skills .skill-item
    {
        margin-bottom: 25px;
    
    }
    
    .about .skills .skill-item .progress .progress-in
    {
        position: absolute;
        left: 0;
        top: 0;
        height: 100%;
        border-radius: 4px;
        background-color: var(--skin-color);
    }
    
    .about .skills .skill-item .skill-percent
    {
        position: absolute;
        right: 0;
        color: var(--text-black-900);
        top: -40px;
        font-weight: 400;
        line-height: 40px;
    
    }
    
    .about .education,
    .about .experience
    {
        flex: 0 0 100%;
        max-width: 100%;
        margin-top: 30px;
    }
    
    .about h3.title
    {
        text-align:center;
        font-size: 24px;
        margin-bottom: 30px;
        font-weight: 700;
        color: var(--text-black-900);
    }
    
    .about  .timeline
    {
        padding: 30px 12px;
        
    }
    
    .about .timeline .timeline-item
    {
        position: relative;
        padding-left: 25px;
    
    }
    
    /* Service */
    .service .container
    {
        padding-bottom: 40px;
    }
    
    .service .service-item
    {
        flex: 100%;
        max-width: 100%;
    }
    
    
    
    /* gallery */
    .gallery .container
    {
        padding-bottom: 40px;
    }
    
    .gallery img
    {
        height: 35rem;
        width: 55rem;
        border-radius: .5rem;
        object-fit: cover;
    }
    
    
    
    
    
    
    .gallery .gallery-heading
    {
        flex: 0 0 100%;
        max-width: 100%;
        margin-bottom: 40px;
    }
    
    .gallery .gallery-heading h2
    {
        color: var(--text-black-900);
        font-weight: 500;
    
    }
    
    .gallery .gallery-item
    {
        flex: 0 0 33.33%;
        max-width: 33.33%;
        margin-bottom: 30px;
    }
    
    .gallery .gallery-item-inner
    {
        border: 6px solid var(--bg-black-100);
        border-radius: 10px;
        overflow: hidden;
        cursor: pointer;
    }
    
    .gallery .gallery-item-inner .gallery-img img
    {
        width: 100%;
        display: block;
    }
    
    
    /* Blog Style */
    /* Style the tab */
    
    .mytab 
    {
        position: relative;
        top: 100%;
        transform: translate(-50% -50%);
        width: calc(100% - 15px) ;
        height:1050px;
        background: var(--bg-black-100);
        border: 1px solid var(--bg-black-50);
        border-radius: 2px;
        padding: 10px 15px;
        text-align: justify;
        transition: all 0.3s ease;
        box-shadow: 0 0 20px rgba(48, 46, 77, 0.15);
        overflow: hidden;
        box-sizing: border-box;
      }
    
    
      .mytab .tab-col-1
    {
        float: left;
        width: 37%;
        height: 225px;  
        border-bottom: 2px solid var(--bg-black-50);  
    }
    
    .mytab .tab-col-2
    {
        float: left;
        width: 63%;
        height: 225px;
        padding: 20px 20px 20px 30px;
        border-bottom: 3px solid var(--bg-black-50);
    }
    
    
      
      /* Style the buttons inside the tab */
      .mytab button 
      {
        position: relative;
        flex:  100%;
        max-width: 100%;
        background-color: var(--bg-black-900);
        float: left;
        border: none;
        outline: none;
        cursor: pointer;
        padding-left: 55px;
        transition: 0.3s;
        width: calc(100% / 4);
        height: 80px;
        line-height: 80px;
        display: flex;
        align-items: center;
        color: var(--text-black-900);
        font-weight: 600;
        cursor: pointer;
        font-size: 18px;
        text-transform: uppercase;
        border-bottom: 2px solid var(--bg-black-50);
     }
     
      /* Change background color of buttons on hover */
      .mytab button:hover {
        background-color: var(--bg-black-50);
        border-radius: 0px;
      }
      
      /* Create an active/current tablink class */
      .mytab button.active {
        background-color: var(--bg-black-100);
        color: var(--skin-color);
        border-top: 2px solid var(--bg-black-50);
        border-left: 2px solid var(--bg-black-50);
        border-right: 2px solid var(--bg-black-50);
        border-bottom: none;
        border-radius: opx;
      }
      
      /* Style the tab content */
      .tabcontent 
      {
        background-color: var(--bg-black-100);
        color: var(--text-black-700);
        top: 26px;
        flex: 0 0 100%;
        max-width: 100%;
        height: 950px;
        position: relative;
        display: none;
        padding: 6px 12px;
        border: 1px solid #ccc;
        border-top: none;
        border-left: 2px solid var(--bg-black-50);
        border-right: 2px solid var(--bg-black-50);
        border-bottom: 2px solid var(--bg-black-50);
        margin-top: 55px;
        margin-bottom: 0;
      }
    
     .tabcontent .tab-col-1 img
      {
        margin-top: 20px;
        width: 315px;
        height: 200px;
        border-radius: 8px;
      }
    
     .tabcontent .tab-col-2 .blog-content h4 {
        
        text-align: left;
        margin-top: 0px;
        margin-bottom: 5px;
        font-size: 20px;
        font-weight: 600;
        color: var(--text-black-900);
        letter-spacing: 0.5px;
      }
    
     .tabcontent .tab-col-2 .blog-content span 
      {
        display: inline-block;
        font-size: 18px;
        font-weight: 600;
        color: var(--text-black-700);
        letter-spacing: 0.5px;
        margin-bottom: 15px;
      }
    
    
      .tabcontent .blog-content .blog-items .col-6
      {
          flex: 0 0 50%;
          max-width: 50%;
      }
      
      .tabcontent .blog-content .blog-items .col-12
      {
          flex: 0 0 100%;
          max-width: 100%;
      }
    
      .btn-2
    {
        font-size: 16px;
        font-weight: 500;
        padding: 5px 10px;
        margin-top: 8px;
        margin-left: 15px;
        color: white;
        border-radius: 40px;
        display: inline-block;
        white-space: nowrap;
        border: none;
        background: var(--skin-color);
        transition: all 0.3s ease;
    }
    
    .btn-2:hover
    {
        transform: scale(1.10);
    }
    
      .tabcontent .blog-content .btn
      {
            width: 100%; 
            height: 40px;
            line-height: 40px;
            bottom: 8px;
            padding: 5px;
            margin-top: 15px;
            background-color: var(--skin-color);
      }
    
      
      
      /* Style the close button */
      .topright {
        float: right;
        cursor: pointer;
        font-size: 28px;
      }
      
      .topright:hover {color: red; font-weight: 800;}
    
    
    /* contact */
    
    
    .contact .contact-info-item
    {
        flex: 0 0 100%;
        max-width: 100%;
    }
    
    .contact .contact-form
    {
        flex: 0 0 100%;
        max-width: 100%;
    }
    
    .contact .contact-form .col-6
    {
        flex: 0 0 100%;
        max-width: 100%;
    }
    
    .contact .contact-form .col-12
    {
        flex: 0 0 100%;
        max-width: 100%;
    }
   
    .contact .btn
    {
        height: 50px;
        padding: 0 50px;
    }
    
    /* Footer */
    .my-footer
    {
        display:flex;
        max-width: 100%;
        font-size: 15px;
        bottom: 0;
        height: 50px;
        line-height: 20px;
    }
    
    .footer-content 
    {
        min-height: 50px;
        z-index: 2;  
    }
    
    .owner, .author
    { 
        width:100%;
        padding: 0px;
        font-size: 15px;
        font-weight: 500;
    }
    
   
    
    
}

